## subcommander 2.0.0~b5p2

=== doc/docbook/guide/Makefile ===
# Licensed to the public under the terms of the GNU GPL,
# see the file COPYING for details.
#
# Creates the HTML version of the subcommander user guide.
#
# run ./gen_version.rb from the source root dir to generate
# version.out.xml

STYLESHEET=/usr/share/xml/docbook/stylesheet/nwalsh/html/chunk.xsl
SOURCE=guide.xml
DEST_DIR=html/

html:
	xsltproc -param chunk.first.sections 1 \
           -param ignore.image.scaling 1 \	
	         -stringparam base.dir $(DEST_DIR) \
	         --xinclude \
		 $(STYLESHEET) $(SOURCE)

install: html
	mkdir -p $(DESTDIR)/images
	cp -a html/* $(DESTDIR)
	cp -a images/*.png $(DESTDIR)/images

clean:
	-rm -rf html

## subcommander 2.0.0~b5p1

=== debian/changelog ===
subcommander (2.0.0~b5p1-3) unstable; urgency=low

  * New patches:
    + 93-edit-crash.patch from upstream to fix segmentation fault on the
      edit bookmark action (LP: #513660).
    + 94-whatsthis.patch: a minor fix for "what's this" help text.
  * Switch to the 3.0 (quilt) source format. Drop build dependency on quilt
    and the debian/README.source file.
  * Update libboost-dev version in build dependencies.
  * Standards-Version: 3.9.1 (no changes).

 -- Robert Luberda <robert@debian.org>  Sun, 12 Sep 2010 11:51:20 +0200

subcommander (2.0.0~b5p1-2) unstable; urgency=low

  * Build depend on fl-cow >= 0.6-4~ (closes: #570190).
  * Standards-Version: 3.8.4 (no changes) 

 -- Robert Luberda <robert@debian.org>  Thu, 11 Mar 2010 17:33:03 +0100

subcommander (2.0.0~b5p1-1) unstable; urgency=low

  * New upstream release.
  * New patches:
    + 41-spelling.patch: fix spelling issues found by lintian;
    + 71-dont-require-svn.patch: don't require svn command for package builds;
    + 72-disable-sasl.patch: don't link with sasl library;
    + 92-gcc-warnings.patch: fix some g++ warnings.
  * Remove 999-autostuff.patch, call autootools during build process instead,
    rework build process, use fl-cow for copy-on-write semantics.
  * debian/control:
    + remove XB-Tag fields;
    + add $misc:Depends for subcommander-doc;
    + adjust build dependencies.
  * Fix debian/watch file.

 -- Robert Luberda <robert@debian.org>  Sat, 09 Jan 2010 13:25:54 +0100

subcommander (2.0.0~b4-5) unstable; urgency=low

  * 91-FTBFS-svn-props.patch: Fix FTBFS due to missing <svn_props.h> 
    includes (closes: #542997).
  * Standards-Version: 3.8.3 (no changes) 
  * Add a debian/README.source file.
  * Change package section to vcs to fix override disparity.

 -- Robert Luberda <robert@debian.org>  Sun, 30 Aug 2009 10:43:24 +0200

subcommander (2.0.0~b4-4) unstable; urgency=low

  * Uprgade build-dependencies:
    + use libdb-dev instead of libdb4.6-dev (closes: #530482);
    + switch to boost 1.38.
  * Standards-Version: 3.8.1 (no changes) 

 -- Robert Luberda <robert@debian.org>  Sun, 07 Jun 2009 09:41:28 +0200

subcommander (2.0.0~b4-3) unstable; urgency=low

  * 90-FTBFS-gcc4.4.patch: fix FTBFS with gcc4.4 (closes: #506781).
  * Fix build system not to regenerate autoconf files at build time:
    + 10-maintainer-mode.patch: add AM_MAINTAINER_MODE to configure.ac;
    + 999-autostuff.patch: autogenerated changes from autoreconf;
    + refresh other patches;
    + debian/rules: pass --disable-maintainer-mode to configure.
  * Fix linitian infos/warnings:
    + spelling error in description and doc-base file;
    + add missing patch descriptions.
  * Replace libbost1.35-dev with libboost1.37-dev in build-dependencies.

 -- Robert Luberda <robert@debian.org>  Sun, 01 Feb 2009 08:18:29 +0100

subcommander (2.0.0~b4-2) unstable; urgency=low

  * Upload to unstable.
  * Improve man pages (closes: #413137).

 -- Robert Luberda <robert@debian.org>  Mon, 17 Nov 2008 20:39:39 +0100

subcommander (2.0.0~b4-1) experimental; urgency=low

  * Adopt package (closes: #491019).
  * New upstream release (beta version):
    + loggraph segfault fixed by upstream (closes: #428978).
  * Switch to quilt, update patches for the new upstream version.
  * 20-create-doc.patch: don't require net connection to generate docs. 
  * 60-url-from-trunk-crash.patch: new, fix segmentation fault on getting url 
    from trunk.
  * 70-disable-neon.patch: don't link with neon (closes: #490351, #483996).
  * 80-po-Makefile.patch: fix po's Makefile.
  * Add a debian/watch file (lintian).
  * Standards-Version: 3.8.0
  * debian/control: Add homepage url
  * Add simple desktop file.
  * Update Build-Depends:
    + depend on libqt4-dev and libx11-dev;
    + switch to debhelper v7;
    + add libboost1.35-dev as an alternative to libboost-dev;
    + remove libneon-dev
  * Update section of doc-base and menu files.

 -- Robert Luberda <robert@debian.org>  Sat, 08 Nov 2008 12:24:08 +0100

subcommander (1.2.2-1.1) unstable; urgency=high

  * Non-maintainer upload.
  * Added debian/patches/50-ftbfs-gcc-4.3.dpatch to fix FTBFS with gcc 4.3
    (Closes: #417713)
    Thanks for the patch to Martin Michlmayr
  * Adjusted build depends to get this thing compiling

 -- Alexander Schmehl <tolimar@debian.org>  Sun, 06 Apr 2008 01:01:45 +0200

subcommander (1.2.2-1) unstable; urgency=medium

  * New upstream *stable* release. No new functionality, fixes
    the following upstream bugs:
    - (build) fix "if" statements in configure
    - (build) fix "extra qualification" compile error
    - (build) [Issue 180] fix missing include file
    - (subcommander) [Issue 176] fixed urls with spaces
    - (subcommander) [Issue 179] property conflicts can be set to resolved
    - (submerge) [Issue 177] fixed crash with files that have CR line endings
    - (submerge) drag and drop crash with an "empty" submerge
    - (submerge) drag and drop fileorder issue
  * debian/control: changed build dependency from libneon25-dev to libneon26-dev
    (closes: #400104)
  * Added debtags to central tags database and added them to debian/control
    (closes: #385541)
  * debian/patches: removed 10-extra-qual.dpatch, adjusted 00list.
    Patch is now part of upstream
  * debian/compat: changed debhelper compat 4 to 5
  * debian/control: changed build dependency on debhelper to >> 5.0.0

 -- Andreas Fester <Andreas.Fester@gmx.de>  Mon, 20 Nov 2006 21:13:20 +0100

subcommander (1.2.1-1) unstable; urgency=low

  * New upstream release (closes: #384669)
  * debian/patches/10-extra-qual.dpatch: fixes compile error

 -- Andreas Fester <Andreas.Fester@gmx.de>  Tue, 24 Oct 2006 09:04:35 +0200

subcommander (1.2.0-2) unstable; urgency=medium

  * debian/control: changed build dependency libapr0-dev to libapr1-dev
    (closes: #391635)

 -- Andreas Fester <Andreas.Fester@gmx.de>  Sun,  8 Oct 2006 21:59:47 +0200

subcommander (1.2.0-1) unstable; urgency=low

  * New upstream release


=== debian/control ===
Source: subcommander
Section: vcs
Priority: optional
Maintainer: Robert Luberda <robert@debian.org>
Build-Depends: debhelper (>> 7.0.0), libqt4-dev (>= 4.4), libx11-dev,
 libboost-dev|libboost1.42-dev, libapr1-dev, libdb-dev, libsvn-dev, 
 libssl-dev, xsltproc, docbook-xsl, autotools-dev, dpkg-dev (>= 1.13.19), automake, fl-cow (>= 0.6-4~)
Standards-Version: 3.9.1
Homepage: http://subcommander.tigris.org/

Package: subcommander
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Suggests: subcommander-doc (= ${source:Version})
Description: Graphical client for Subversion
 Subcommander is a graphical client for Subversion which supports most
 Subversion features. Its tight integration of repository browser and
 working copy status allows to switch quickly between these views.
 Subcommander also contains submerge, a visual diff and merge tool for text
 files.
 .
 This package contains the subcommander and submerge applications.

Package: subcommander-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}
Suggests: doc-base
Description: User guide for subcommander
 Subcommander is a graphical client for Subversion which supports most
 Subversion features. Its tight integration of repository browser and
 working copy status allows to switch quickly between these views.
 Subcommander also contains submerge, a visual diff and merge tool for text
 files.
 .
 This package contains the user guides for subcommander and submerge.

=== debian/rules ===
#!/usr/bin/make -f
# 
# $Id: rules 66 2010-09-12 09:51:36Z robert $
# 
# Uncomment this to turn on verbose mode. 
#export DH_VERBOSE=1

# This has to be exported to make some magic below work.
export DH_OPTIONS
export BDIR       := BUILD
export FLCOW_PATH := $(CURDIR)/$(BDIR)
export LD_PRELOAD := /usr/lib/fl-cow/libflcow.so:$(LD_PRELOAD)



export DEB_HOST_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
export DEB_BUILD_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
ifeq ($(DEB_BUILD_GNU_TYPE), $(DEB_HOST_GNU_TYPE))
  confflags = --build $(DEB_HOST_GNU_TYPE)
else
  confflags = --build $(DEB_BUILD_GNU_TYPE) --host $(DEB_HOST_GNU_TYPE)
endif


ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
  CXXFLAGS = -g -Wall -O0
else	
  CXXFLAGS = -g -Wall -Wno-deprecated -O2
endif

LDFLAGS   = -Wl,-z,defs -Wl,--as-needed


export QTDIR=/usr

PKG_TMP=$(CURDIR)/debian/tmp
ifeq (,$(DEB_BUILD_ARCH))
	DEB_BUILD_ARCH=$(shell dpkg-architecture -qDEB_BUILD_ARCH)
endif


configure: $(BDIR)/configure-stamp
$(BDIR)/configure-stamp:  $(QUILT_STAMPFN)
	dh_testdir
	#
	# setup our $(BDIR)
	mkdir  $(BDIR)
	cp -al [!dB]*  d[!e]*  $(BDIR)
	rm -f $(BDIR)/ac-helpers/config.sub $(BDIR)/ac-helpers/config.guess
	ln -s /usr/share/misc/config.sub $(BDIR)/ac-helpers/config.sub
	ln -s /usr/share/misc/config.guess $(BDIR)/ac-helpers/config.guess
	# check if cow-fl works correctly
	echo "###test" >> $(BDIR)/configure && ! cmp -s  $(BDIR)/configure ./configure 
	cd $(BDIR) && autoreconf && autoupdate
	#
	# configure package
	cd $(BDIR) &&  LDFLAGS="$(LDFLAGS)" \
	./configure 	--prefix=/usr  \
			--enable-nls 	\
			--disable-dependency-tracking \
			--disable-maintainer-mode \
			$(confflags)
	touch "$@"

build: $(BDIR)/configure-stamp $(BDIR)/build-stamp
$(BDIR)/build-stamp:
	dh_testdir

	# Create the binaries
	cd $(BDIR) && $(MAKE) "CXXFLAGS=$(CXXFLAGS)"

	# Create the HTML documentation
	cd $(BDIR) && $(MAKE) -C doc/docbook/guide

	cd $(BDIR) && $(MAKE) -C po

	touch "$@"

clean: 	
	dh_testdir
	dh_testroot

	rm -f $(BDIR)/build-stamp $(BDIR)/configure-stamp
	rm -rf $(BDIR)
	dh_clean


install: DH_OPTIONS=
install: build
	dh_testdir
	dh_testroot

	dh_prep

	# Install binaries and documentation into temporary directory
	cd $(BDIR) && $(MAKE) install DESTDIR=$(PKG_TMP)
	cd $(BDIR) && $(MAKE) -C doc/docbook/guide install DESTDIR=$(PKG_TMP)/usr/share/doc/subcommander/html
	cd $(BDIR) && $(MAKE) -C po install DESTDIR=$(PKG_TMP)

	# Install the application icon (should be done in the upstream Makefile)
	mkdir -p $(PKG_TMP)/usr/share/pixmaps
	install --mode=644 $(BDIR)/pics/subcommander.xpm $(PKG_TMP)/usr/share/pixmaps

	dh_install --list-missing --sourcedir=$(PKG_TMP)

# This single target is used to build all the packages, all at once, or
# one at a time. So keep in mind: any options passed to commands here will
# affect _all_ packages. Anything you want to only affect one package
# should be put in another target, such as the install target.
binary-common:
	dh_testdir
	dh_testroot
	dh_installchangelogs
	dh_installdocs
#	dh_installexamples
	dh_installmenu
#	dh_installdebconf
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installcatalogs
#	dh_installpam
#	dh_installmime
#	dh_installinit
	dh_installman
#	dh_installcron
#	dh_installinfo
#	dh_installwm
#	dh_installudev
#	dh_lintian
#	dh_undocumented
	dh_strip
	dh_link
	dh_compress
	dh_fixperms
#	dh_perl
#	dh_python
#	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

# Build architecture independant packages using the common target.
binary-indep: build install
	 $(MAKE) -f debian/rules DH_OPTIONS=-i binary-common

# Build architecture dependant packages using the common target.
binary-arch: build install
	$(MAKE) -f debian/rules DH_OPTIONS=-a binary-common

# Any other binary targets build just one binary package at a time.
binary-%: build install
	make -f debian/rules binary-common DH_OPTIONS=-p$*

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary-common binary install autotools autotools-clean

## subcommander 2.0.0~b5p2

=== debian/changelog ===
subcommander (2.0.0~b5p2-6) unstable; urgency=medium

  * QA upload
  * Add build-dependency on zlib1g-dev (closes: #835797)
  * Fix a spelling error (word duplication) in d/copyright
  * Drop d/subcommander.menu since we have d/subcommander.desktop,
    following tech-ctte decision on #741573.

 -- Ralf Treinen <treinen@debian.org>  Sun, 28 Aug 2016 20:57:29 +0200

subcommander (2.0.0~b5p2-5.1) unstable; urgency=medium

  * control: Change build-dep to boost-all-dev.  Closes: #754246.

 -- Steve M. Robbins <smr@debian.org>  Wed, 09 Jul 2014 00:29:25 -0500

subcommander (2.0.0~b5p2-5) unstable; urgency=low

  * Orphaning package, maintainer set to Debian QA Group.
  * Add 97-FTBFS-gcc4.7.patch to fix build failure with g++ 4.7
    (closes: #678773).

 -- Robert Luberda <robert@debian.org>  Sun, 24 Jun 2012 16:42:29 +0200

subcommander (2.0.0~b5p2-4) unstable; urgency=low

  * New patches:
   + 72-dont-link-svn-private-libs.patch from Peter Samuelson to make
     subcommander installable again after recent binNMU (closes: #668825).
   + 73-autoconf-warnings.patch: fix autoconf warnings;
   + 91-gcc-warnings.patch: fix g++ undefined behaviour warning.
  * Switch to debhelper v9.
  * debian/control:
    + Standards-Version: 3.9.3 (no changes);
    + drop unneeded build dependency on libdb-dev;
    + update build dep. on debhelper;
    + use libboost1.49-dev as an alternative to libboost-dev;
    + add build-conflicts with libneon27-gnutls (<< 0.29.6-3~), see #667884.

 -- Robert Luberda <robert@debian.org>  Sun, 15 Apr 2012 17:31:48 +0200

subcommander (2.0.0~b5p2-3) unstable; urgency=low

  * 96-format-error.patch: new patch to fix compilation error when hardening
    options are turned on.
  * 11-srcdir.patch: new patch to make it possible to call configure from 
    outside of the source dir.
  * debian/rules: simplify the file and use dh-autoreconf instead of cow-based
    build tree.
  * debian/control:
    + Standards-Version: 3.9.2 (no changes);
    + remove build-dependency on fl-cow, add dh-autoreconf instead;
    + replace libbost1.42-dev with libboost1.46-dev in build-dependencies;
    + move docbook-xsl and xsltproc to Build-Depends-Indep;
    + fix spelling typo in descriptions (lintian);
    + reformat the dependency fields with wrap-and-sort command;
  * debian/man/subcommander.1: fix spelling typo (lintian).

 -- Robert Luberda <robert@debian.org>  Sun, 10 Apr 2011 14:02:51 +0200

subcommander (2.0.0~b5p2-2) unstable; urgency=low

  * Upload to unstable.
  * debian/rules: 
    + add support for build-arch, build-indep targets; 
    + build documentation in build-indep only;
    + make use of dpkg-buildflags, dh_auto_configure, dh_auto_build commands.
  * Move man pages from debian to debian/man.
  * The menu entry has been available for at least 2 years (LP: #217652). 
  * The `symbol lookup error' wasn't subcommander bug (LP: #389915).
  * Mention in the man pages that `The Subcommander Guide' is available
    in subcommander-doc (LP: #398509). Also add a link from subcommander-doc
    to the html docs in subcommander.

 -- Robert Luberda <robert@debian.org>  Sat, 12 Feb 2011 15:52:41 +0100

subcommander (2.0.0~b5p2-1) experimental; urgency=low

  * New upstream release:
  * Remove no longer needed patches 91-FTBFS-svn-props and 93-edit-crash.
  * Add 95_warnings.patch to fix some warnings.
  * Remove unused  $(QUILT_STAMPFN) from debian/rules.
  * Bump debhelper compat level to 8.

 -- Robert Luberda <robert@debian.org>  Sun, 23 Jan 2011 00:44:47 +0100

=== debian/control ===
Source: subcommander
Section: vcs
Priority: optional
Maintainer: Debian QA Group <packages@qa.debian.org>
Build-Depends: automake,
               autotools-dev,
               debhelper (>> 9),
               dh-autoreconf,
               libapr1-dev,
               libboost-all-dev,
               libqt4-dev (>= 4.4),
               libssl-dev,
               libsvn-dev,
               libx11-dev,
	       zlib1g-dev
Build-Depends-Indep: docbook-xsl, xsltproc
Build-Conflicts: libneon27-gnutls (<< 0.29.6-3~)
Standards-Version: 3.9.3
Homepage: http://subcommander.tigris.org/

Package: subcommander
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Suggests: subcommander-doc (= ${source:Version})
Description: Graphical client for Subversion
 Subcommander is a graphical client for Subversion which supports most
 Subversion features. Its tight integration of repository browser and
 working copy status allows one to switch quickly between these views.
 Subcommander also contains submerge, a visual diff and merge tool for text
 files.
 .
 This package contains the subcommander and submerge applications.

Package: subcommander-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}
Suggests: doc-base
Description: User guide for subcommander
 Subcommander is a graphical client for Subversion which supports most
 Subversion features. Its tight integration of repository browser and
 working copy status allows one to switch quickly between these views.
 Subcommander also contains submerge, a visual diff and merge tool for text
 files.
 .
 This package contains the user guides for subcommander and submerge.

=== debian/rules ===
#!/usr/bin/make -f

export BDIR             := BUILD
export LDFLAGS          := -Wl,-z,defs -Wl,--as-needed $(shell dpkg-buildflags --get LDFLAGS)
export CPPFLAGS         := $(shell dpkg-buildflags --get CPPFLAGS)
export CXXFLAGS         := $(shell dpkg-buildflags --get CXXFLAGS) -Wall -Wno-deprecated -I$(CURDIR)
export QTDIR            := /usr
DH_AUTO_OPTIONS         := -v -Sautoconf --parallel -B$(BDIR)
DESTDIR                 := $(CURDIR)/debian/tmp

build: export MISSING_BUILD_DEPS := $(shell dpkg-checkbuilddeps 2>&1)
%: force
	dh "$@"


ifneq ($(shell dh_listpackages),$(shell dh_listpackages -i))  # arch:any packages are built
override_dh_auto_build:   $(BDIR)/build-arch-stamp

override_dh_auto_install: install-arch-into-pkgdir
endif

ifneq ($(shell dh_listpackages),$(shell dh_listpackages -a)) # arch:all packages are built
  ifneq (,$(MISSING_BUILD_DEPS))
    $(warning $(MISSING_BUILD_DEPS))
    $(warning Postponing build of architecture independent files until binary or binary-indep target is called)
  else
override_dh_auto_build:   $(BDIR)/build-indep-stamp
  endif
override_dh_auto_install: install-indep-into-pkgdir
endif

override_dh_auto_configure: $(BDIR)/configure-stamp


override_dh_auto_clean:
	rm -f $(BDIR)/build-arch-stamp $(BDIR)/build-indep-stamp $(BDIR)/configure-stamp
	$(MAKE) -C doc/docbook/guide clean
	dh_autoreconf_clean
	dh_auto_clean  $(DH_AUTO_OPTIONS)


$(BDIR)/configure-stamp:
	dh_autoreconf
	dh_auto_configure $(DH_AUTO_OPTIONS) -- \
	                  --enable-nls  
	touch "$@"

$(BDIR)/build-arch-stamp: $(BDIR)/configure-stamp
	dh_auto_build $(DH_AUTO_OPTIONS) 
	
	dh_auto_build $(DH_AUTO_OPTIONS) -- -C po
	touch "$@"
	

$(BDIR)/build-indep-stamp: $(BDIR)/configure-stamp
	$(MAKE) -C doc/docbook/guide
	touch "$@"
	


install-arch-into-pkgdir: $(BDIR)/build-arch-stamp
	dh_auto_install $(DH_AUTO_OPTIONS)
	dh_auto_install $(DH_AUTO_OPTIONS) -- -C po
	
	mkdir -p $(DESTDIR)/usr/share/pixmaps
	install --mode=644 pics/subcommander.xpm $(DESTDIR)/usr/share/pixmaps


install-indep-into-pkgdir: $(BDIR)/build-indep-stamp
	$(MAKE) -C doc/docbook/guide install  DESTDIR=$(DESTDIR)/usr/share/doc/subcommander/html

force debian/rules:

.PHONY: force debian/rules \
	override_dh_auto_build override_dh_auto_clean \
	override_dh_auto_configure override_dh_auto_install \
	install-arch-into-pkgdir install-indep-into-pkgdir

.DEFAULT_GOAL := binary

=== debian/watch ===
# control file for the uscan(1) tool
version=3
opts=dversionmangle=s/~// \
http://subcommander.tigris.org/ \
	files/.*/Subcommander-(\d[\d.abp]+)\.tar\.gz
